<script setup>
import { ref } from "vue";
const props = defineProps({
	offset: {
		type: Array,
		default() {
			return [0, 0];
		},
	},
  r: {
    type: [Number, String],
    default: 18,
  },
	color: {
		type: String,
		default: "#804000",
	},
});
</script>

<template>
  <g ref="g" :transform="'translate(' + offset.join(',') + ')'">
    <circle  :r="r" :stroke="color" stroke-width="2" fill="none" />
      <!-- :x="r * -1" -->
    <text
      :dy="r * 0.8"
      :fill="color"
      text-anchor="middle"
      :font-size="r * 1.6"
      >V</text
    >
  </g>
</template>

<style scoped lang="less"></style>